﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Demo.Asymmetric.Payment.Data;

namespace Demo.Asymmetric.Payment {
    public partial class ConfirmPay : System.Web.UI.Page {
        int transactionId;

        protected void Page_Load(object sender, EventArgs e) {
            this.transactionId = int.Parse(this.Request.QueryString["TransactionId"]);
            using (var dc = new PaymentDbContext()) {
                var t = dc.Transactions.SingleOrDefault(x => x.TransactionId == this.transactionId && !x.Status.HasValue);
                if (t == null) throw new Exception("Transaction not found!");
                this.LiteralMessage.Text = string.Format(this.LiteralMessage.Text,
                    t.Amount,               // 0
                    t.Merchant.CompanyName, // 1
                    t.MerchantOrderId);     // 2
            }
        }

        protected void ButtonYes_Click(object sender, EventArgs e) {
            this.ProcessPayment(true);
        }

        protected void ButtonNo_Click(object sender, EventArgs e) {
            this.ProcessPayment(false);
        }

        // Helper methods

        private void ProcessPayment(bool success) {
            using (var dc = new PaymentDbContext()) {
                var t = dc.Transactions.Single(x => x.TransactionId == this.transactionId && !x.Status.HasValue);
                t.Status = success;
                dc.SaveChanges();
            }
            this.Response.Redirect("~/PaymentResponse.ashx?TransactionId=" + transactionId);
        }
    }
}