﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Demo.Asymmetric.Shop.Data;

namespace Demo.Asymmetric.Shop {
    public partial class Callback : System.Web.UI.Page {
        protected void Page_Load(object sender, EventArgs e) {
            // Read data
            var status = int.Parse(this.Request.Form["Status"]);
            var orderId = int.Parse(this.Request.Form["OrderId"]);
            var signatureString = this.Request.Form["Signature"];

            // Verify signature
            var signerThumbprint = AsymSigUtils.VerifySignature(signatureString,
                status.ToString(),      // 0 - Status
                orderId.ToString());    // 1 - Order ID
            var expectedThumbprint = ConfigurationManager.AppSettings["PaymentGatewayThumbprint"];
            if (!expectedThumbprint.Equals(signerThumbprint, StringComparison.InvariantCultureIgnoreCase)) throw new Exception("Invalid digital signature!");

            // Save status change
            using (var dc = new ShopDbContext()) {
                var o = dc.Orders.Single(x => x.OrderId == orderId);
                o.PaidFor = status == 1;
                o.ResponseSignature = signatureString;
                dc.SaveChanges();
            }

            // Display message
            this.LiteralSuccess.Visible = status == 1;
            this.LiteralFailure.Visible = status != 1;
        }
    }
}