﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Configuration;
using System.Globalization;
using System.Linq;
using System.Web;

namespace Demo.Asymmetric.Shop.Data {
    public class Order {

        // Properties

        [Key]
        public int OrderId { get; set; }

        public DateTime DateCreated { get; set; }

        [MaxLength(100)]
        public string Description { get; set; }

        public decimal Amount { get; set; }

        public bool PaidFor { get; set; }

        public string ResponseSignature { get; set; }

        public string StatusString {
            get {
                if (string.IsNullOrEmpty(this.ResponseSignature)) return "waiting";
                else if (this.PaidFor) return "approved";
                else return "rejected";
            }
        }

        // Constructor

        public Order() {
            this.DateCreated = DateTime.Now;
        }

    }
}