﻿using System;
using System.Collections.Generic;
using System.Data.Entity;
using System.Linq;
using System.Web;

namespace Demo.Symmetric.Payment.Data {
    public class PaymentDbContext : DbContext {

        public DbSet<Merchant> Merchants { get; set; }

        public DbSet<Transaction> Transactions { get; set; }

    }

    public class PaymentDbContextInitializer : DropCreateDatabaseIfModelChanges<PaymentDbContext> {

        protected override void Seed(PaymentDbContext context) {
            context.Merchants.Add(new Merchant {
                CompanyName = "Contoso, s. r. o",
                CallbackUrl = "http://localhost:18037/Callback.aspx?Status={0}&OrderId={1}&Signature={2}",
                RequestKey = Convert.FromBase64String("8OtM5ihJWjeF3kxX9dsU21Ja8NRrz7t9YW3PEmQSODA="),
                ResponseKey = Convert.FromBase64String("wqU5XTY36mEY68krfx8GZ8bTYxr2/TdjGY40IB/hEb4=")
            });
        }

    }
}