﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Demo.Symmetric.Shop.Data;

namespace Demo.Symmetric.Shop {
    public partial class Callback : System.Web.UI.Page {
        protected void Page_Load(object sender, EventArgs e) {
            // Verify digital signature
            var key = Convert.FromBase64String(ConfigurationManager.AppSettings["ResponseKey"]);
            var correctSig = SymSigUtils.ComputeSignature(key,
                this.Request.QueryString["Status"],
                this.Request.QueryString["OrderId"]);
            if (!correctSig.Equals(this.Request.QueryString["Signature"])) throw new Exception("Invalid digital signature");

            if (this.Request.QueryString["Status"] == "1") {
                // Success
                this.LiteralSuccess.Visible = true;
                var orderId = int.Parse(this.Request.QueryString["OrderId"]);
                using (var dc = new ShopDbContext()) {
                    var o = dc.Orders.Single(x => x.OrderId == orderId);
                    o.PaidFor = true;
                    dc.SaveChanges();
                }
            }
            else {
                // Failure
                this.LiteralFailure.Visible = true;
            }
        }
    }
}