﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Security.Cryptography;
using System.Web;

namespace Demo.Symmetric.Shop {
    public static class SymSigUtils {

        public static string ComputeSignature(byte[] key, params string[] signedItems) { 
            // Concatenate all signed items
            var signString = string.Join("|", signedItems);

            // Conver to byte array
            var signData = System.Text.Encoding.UTF8.GetBytes(signString);

            // Compute HMAC
            using (var mac = new HMACSHA1()) {
                mac.Key = key;
                var hash = mac.ComputeHash(signData);

                // Encode hash to URL-safe Base64
                var encodedHash = Convert.ToBase64String(hash);
                encodedHash = encodedHash.Replace('+', '-').Replace('/', '_');
                encodedHash = encodedHash.TrimEnd('=');
                return encodedHash;
            }
        }

    }
}