﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Configuration;
using System.Globalization;
using System.Linq;
using System.Web;

namespace Demo.Unsecure.Shop.Data {
    public class Order {

        // Properties

        [Key]
        public int OrderId { get; set; }

        public DateTime DateCreated { get; set; }

        [MaxLength(100)]
        public string Description { get; set; }

        public decimal Amount { get; set; }

        public bool PaidFor { get; set; }

        // Constructor

        public Order() {
            this.DateCreated = DateTime.Now;
        }

        // Other methods

        public string GetPaymentUrl() {
            var url = ConfigurationManager.AppSettings["PaymentGatewayBaseUrl"];
            return string.Format(url,
                this.OrderId,                                           // 0
                this.Amount.ToString(CultureInfo.InvariantCulture));    // 1
        }

    }
}