﻿<%@ Page Title="List of orders" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="Demo.Unsecure.Shop.Default" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <asp:FormView runat="server"  ItemType="Demo.Unsecure.Shop.Data.Order" InsertMethod="InsertOrder" DefaultMode="Insert" RenderOuterTable="false">
        <InsertItemTemplate>
            <article>
                <header>New Order</header>
                <table class="form">
                    <tbody>
                        <tr>
                            <th>
                                <asp:Label runat="server" Text="Order description:" AssociatedControlID="DescriptionTextBox" />
                                <asp:RequiredFieldValidator ErrorMessage="Description is missing" ControlToValidate="DescriptionTextBox" Display="Dynamic" Text="*" runat="server" />
                            </th>
                            <td>
                                <asp:TextBox ID="DescriptionTextBox" runat="server" Text='<%# BindItem.Description %>' />
                            </td>
                        </tr>
                        <tr>
                            <th>
                                <asp:Label runat="server" Text="Amount:" AssociatedControlID="AmountTextBox" />
                                <asp:RequiredFieldValidator ErrorMessage="Amount is missing" ControlToValidate="AmountTextBox" Display="Dynamic" Text="*" runat="server" />
                                <asp:CompareValidator ErrorMessage="Amount is invalid" ControlToValidate="AmountTextBox" Display="Dynamic" Text="*" runat="server" ValueToCompare="1" Type="Currency" Operator="GreaterThanEqual" />
                            </th>
                            <td>
                                <asp:TextBox ID="AmountTextBox" runat="server" Text='<%# BindItem.Amount %>' />
                            </td>
                        </tr>
                    </tbody>
                    <tfoot>
                        <tr>
                            <td colspan="2">
                                <asp:ValidationSummary runat="server" />
                                <asp:Button ID="ButtonFormSubmit" runat="server" Text="Submit" CommandName="Insert" />
                            </td>
                        </tr>
                    </tfoot>
                </table>
            </article>
        </InsertItemTemplate>
    </asp:FormView>
    <asp:ListView runat="server" ItemType="Demo.Unsecure.Shop.Data.Order" SelectMethod="SelectOrders">
        <LayoutTemplate>
            <article>
                <header>Order list</header>
                <table class="grid">
                    <thead>
                        <tr>
                            <th>ID</th>
                            <th>Date</th>
                            <th>Description</th>
                            <th>Amount</th>
                            <th>Paid</th>
                            <th></th>
                        </tr>
                    </thead>
                    <tbody>
                        <asp:PlaceHolder ID="ItemPlaceHolder" runat="server" />
                    </tbody>
                </table>
            </article>
        </LayoutTemplate>
        <ItemTemplate>
            <tr>
                <td class="r">
                    <%#: Item.OrderId %>
                </td>
                <td>
                    <%#: Item.DateCreated %>
                </td>
                <td>
                    <%#: Item.Description %>
                </td>
                <td class="r">
                    <%#: Item.Amount.ToString("C") %>
                </td>
                <td class="c">
                    <asp:CheckBox runat="server" Enabled="false" Checked="<%# Item.PaidFor %>" />
                </td>
                <td>
                    <asp:HyperLink runat="server" NavigateUrl="<%# Item.GetPaymentUrl() %>" Text="GO PAY" Visible="<%# !Item.PaidFor %>" />
                </td>
            </tr>
        </ItemTemplate>
    </asp:ListView>
</asp:Content>
